
import java.awt.*;

public abstract class PrimObj implements SysAssign
{
public int idno;
public int number;
public int exec;
public int fact;
public int index;
public boolean hit_flag;

	public PrimObj( int id )
	{
		idno = id;
		fact = INIT_ACTION;
		exec = INIT_EXEC;
		number = 0;
		ClearWork();
	}

	public PrimObj( int id, int no )
	{
		idno = id;
		fact = INIT_ACTION;
		exec = INIT_EXEC;
		number = no;
		ClearWork();
	}

	public void ExecSet( int act )
	{
		fact = act;
		exec = INIT_EXEC;
	}

	public void ClearWork()
	{
		hit_flag = false;
	}

	public abstract void ExecMain();
	public abstract void MoveMain();
	public abstract void AnimaMain();
	public abstract void DrawMain( Graphics g, int p );
	public abstract boolean ColiMain( int mouseX, int mouseY );
	public abstract void Destroy();
}
