public class Animation implements SysAssign
{
public int patId;
public int patChangeNo;

public int timer;
public int patPoint;
public int patNo;
public int patNoBias;
public int patNoEnd;
public int patNoadd;

public boolean patStopflag;
public boolean elaseSwflag;

	public Animation(int id)
	{
		patId = id - 1;
		patStopflag	= false;
		elaseSwflag = false;
		PatternSet(0);
	}

	public void PatternSet( int pat )
	{
		patChangeNo = pat;
		patPoint = 0;
		patNo    = 0;
		timer 	 = 0;
		patNoBias = patNoEnd = 0;
		patNoadd = 0;
	}

	public void PatternSet( int pat, int add )
	{
		patChangeNo = pat;
		patPoint = 0;
		patNo    = 0;
		timer 	 = 0;
		patNoBias = patNoEnd = 0;
		patNoadd = add;
	}

	public void PatSetFst()
	{
		patNo 	 = AnimaData.Table[patId][patChangeNo][patPoint] & 0xFF;
		patNoEnd = AnimaData.Table[patId][patChangeNo][patPoint] >> 8  & 0xFF;
		timer	 = AnimaData.Table[patId][patChangeNo][patPoint] >> 16 & 0xFF;
	}

	public void PatternChange()
	{
		if(patStopflag) return;

		if(timer-- <= 0)
		{
		patNo 	 = AnimaData.Table[patId][patChangeNo][patPoint] & 0xFF;
		patNoEnd = AnimaData.Table[patId][patChangeNo][patPoint] >> 8  & 0xFF;
		timer	 = AnimaData.Table[patId][patChangeNo][patPoint] >> 16 & 0xFF;

			switch( AnimaData.Table[patId][patChangeNo][patPoint] & 0xFF000000 )
			{
			case ac_Stop:
					break;

			case ac_Next:
					patPoint++;
					break;

			case ac_Loop:
					patPoint = 0;
					break;

			case ac_AutoNext:

					if(patNo <= patNoEnd)
						{					
						patNo += patNoBias;
						if( patNoBias < patNoEnd ) patNoBias++;
						}
					else
						{	// t]
						patNo -= patNoBias;	
						if( patNo > patNoEnd ) patNoBias++;
						}
					break;

			case ac_AutoLoop:

					if(patNo <= patNoEnd)
						{
						patNo += patNoBias;

						if( patNo < patNoEnd )
//						if( patNoBias < patNoEnd )
							patNoBias++;
						else
							patNoBias = 0;

						}
					else
						{	// t]
						patNo -= patNoBias;

						if( patNo > patNoEnd )
							patNoBias++;
						else
							patNoBias = 0;
						}

					break;
			}
		}
//	System.out.println(timer+"="+patNo+" "+patNoEnd);
	}
}

//
// Aj[Ve[u Anima_id Q
//
//	AnimationTable[anima_Id][patan_Id][patan_pt][...]
//

class AnimaData implements SysAssign
{
static int Table[][][] = {
{
	{ ( 0*pNum+10*pTim+ac_Stop) },
	{ ( 0*pNum+ 6*pEnd+1*pTim+ac_AutoLoop) },		// WMO
	{ ( 0*pNum+ 6*pEnd+0*pTim+ac_AutoLoop) },		// 
	{ ( 0*pNum+ 6*pEnd+2*pTim+ac_AutoLoop) },		// 
},
{
	{ ( 0*pNum+10*pTim+ac_Stop) },
	{ ( 0*pNum+ 6*pEnd+1*pTim+ac_AutoLoop) },		// R
	{ ( 0*pNum+ 6*pEnd+0*pTim+ac_AutoLoop) },		// 
	{ ( 0*pNum+ 6*pEnd+2*pTim+ac_AutoLoop) },		// 
},
{
	{ ( 0*pNum+10*pTim+ac_Stop) },		// n_
	{ ( 1*pNum+10*pTim+ac_Stop) },		// n_
	{ ( 1*pNum+10*pTim+ac_Stop) },		// n_Q
},
{
	{ ( 0*pNum+10*pTim+ac_Stop) },		// 
},
{
	{ ( 0*pNum+10*pTim+ac_Stop) },		// S[
	{ ( 1*pNum+10*pTim+ac_Stop) },		// S[
	{ ( 1*pNum+10*pTim+ac_Stop) },		// S[Q
},
{
	{ ( 0*pNum+10*pTim+ac_Stop) },		// phbNwi
},
{
	{ ( 0*pNum+30*pTim+ac_Stop) },		// {^
	{ ( 1*pNum+30*pTim+ac_Stop) },
	{ ( 2*pNum+30*pTim+ac_Stop) },
	{ ( 3*pNum+30*pTim+ac_Stop) },
	{ ( 4*pNum+30*pTim+ac_Stop) },
	{ ( 5*pNum+30*pTim+ac_Stop) },
	{ ( 6*pNum+30*pTim+ac_Stop) },
	{ ( 7*pNum+30*pTim+ac_Stop) },
	{ ( 8*pNum+30*pTim+ac_Stop) },
	{ ( 9*pNum+30*pTim+ac_Stop) },
	{ (10*pNum+30*pTim+ac_Stop) },
	{ (11*pNum+30*pTim+ac_Stop) },
	{ (12*pNum+30*pTim+ac_Stop) },
},
};

}

/*
	{ ( 0*pNum+10*pTim+ac_Stop) },
	{ ( 0*pNum+ 6*pEnd+10*pTim+ac_AutoNext) },
	{ ( 0*pNum+ 6*pEnd+0*pTim+ac_AutoLoop) },		// 
	{ ( 0*pNum+ 6*pEnd+1*pTim+ac_AutoLoop) },
	{ ( 6*pNum+ 0*pEnd+0*pTim+ac_AutoLoop) },

	{ ( 0*pNum+10*pTim+ac_Stop) },
	{ ( 0*pNum+10*pTim+ac_Next),( 1*pNum+10*pTim+ac_Next),( 2*pNum+10*pTim+ac_Next),( 3*pNum+10*pTim+ac_Stop) },
	{ ( 0*pNum+0*pTim+ac_Next),( 1*pNum+0*pTim+ac_Next),( 2*pNum+0*pTim+ac_Next),( 3*pNum+0*pTim+ac_Next),
	  ( 4*pNum+0*pTim+ac_Next),( 5*pNum+0*pTim+ac_Next),( 6*pNum+0*pTim+ac_Next),( 7*pNum+0*pTim+ac_Next),
	  ( 8*pNum+0*pTim+ac_Next),( 9*pNum+0*pTim+ac_Next),(10*pNum+0*pTim+ac_Next),(11*pNum+0*pTim+ac_Next),
	  (12*pNum+0*pTim+ac_Next),(13*pNum+0*pTim+ac_Next),(14*pNum+0*pTim+ac_Next),(15*pNum+0*pTim+ac_Next),
	  (16*pNum+0*pTim+ac_Next),(17*pNum+0*pTim+ac_Loop) },

	{ ( 0*pNum+0*pTim+ac_Next),( 1*pNum+0*pTim+ac_Next),( 2*pNum+0*pTim+ac_Next),( 3*pNum+0*pTim+ac_Next),
	  ( 4*pNum+0*pTim+ac_Next),( 5*pNum+0*pTim+ac_Next),( 6*pNum+0*pTim+ac_Next),( 7*pNum+0*pTim+ac_Next),
	  ( 8*pNum+0*pTim+ac_Next),( 9*pNum+0*pTim+ac_Next),(10*pNum+0*pTim+ac_Next),(11*pNum+0*pTim+ac_Next),
	  (12*pNum+0*pTim+ac_Next),(13*pNum+0*pTim+ac_Next),(14*pNum+0*pTim+ac_Next),(15*pNum+0*pTim+ac_Next),
	  (16*pNum+0*pTim+ac_Next),(17*pNum+0*pTim+ac_Loop) },
*/
