import java.awt.*;
import java.awt.image.*;

public class Comportment extends PrimObj implements SysAssign
{
Position	posi;
Animation	anima;
Style		style;

int xPoints[] = { 0, 0, 0, 0, 0 };
int yPoints[] = { 0, 0, 0, 0, 0 };

	public Comportment() { super(NULL_IDNO); }	// default Null
	public Comportment( int id )
	{
		super(id, 0 );
		posi  	= new Position();
		anima 	= new Animation(id);
	}

	public Comportment( int id, int no, int x, int y, int w, int h )
	{
		super(id,no);
		posi  	= new Position(x,y,0);
		anima 	= new Animation(id);
		style  	= new Style(w,h,0xC0C0C0);
	}

	public void ColisionPosiGet()
	{
		posi.left = posi.dx - (style.width  / 2);
		posi.up   = posi.dy - (style.height / 2);
		posi.right= posi.left + style.width;
		posi.down = posi.up + style.height;
	}


	public void ExecMain()  {}
	public void MoveMain()  { if(idno!=NULL_IDNO) posi.Moving(); }
	public void AnimaMain() { if(idno!=NULL_IDNO) anima.PatternChange(); }

	public boolean ColiMain( int x, int y ) {

			if(idno!=NULL_IDNO) {
				ColisionPosiGet();
				if((posi.left < x && x < posi.right) && (posi.up < y && y < posi.down))
					{
					hit_flag = true;
					return true;
					}
				else
					{
					hit_flag = false;
					}
				}
			return false;
			}

	public void ButtonSet(boolean f) { 
			style.downflag = f;
			}

	public void DrawMain( Graphics g, int i ) { 
		if(idno!=NULL_IDNO)
		{ 
			posi.getDispPosi();

			if(!anima.elaseSwflag)
			{

// {^̕`
//				int ofx = Picture.Ofset[idno-1][anima.patNo][0];		
//				int ofy = Picture.Ofset[idno-1][anima.patNo][1];

				int ofx = -Btn1_X/2;
				int ofy = -Btn1_Y/2;

				if( style.downflag ) {
//						ofx += style.outFx - 1;
//						ofy += style.outFy - 1;
						ofx += style.outFx - 1;
						ofy += style.outFy - 1;
						}

//				g.drawImage( Picture.Pics[idno-1].images[anima.patNo], posi.dx+ofx, posi.dy+ofy, null );		

				if(style.frameflag)
				{
					ColisionPosiGet();

					if( style.downflag)
					{
// ㉚
					xPoints[0] = posi.left - style.outFx;
					xPoints[1] = posi.right+ style.outFx;
					xPoints[2] = posi.right+ style.outFx;
					xPoints[3] = posi.left;
					xPoints[4] = posi.left - style.outFx;
					yPoints[0] = posi.up - style.outFy;
					yPoints[1] = posi.up - style.outFy;
					yPoints[2] = posi.up;
					yPoints[3] = posi.up;
					yPoints[4] = posi.up - style.outFy;
					g.setColor( style.outFcol[(style.downflag)?2:0] );
					g.fillPolygon( xPoints, yPoints, 5 );
// 
					xPoints[0] = posi.left - style.outFx;
					xPoints[1] = posi.left;
					xPoints[2] = posi.left;
					xPoints[3] = posi.left - style.outFx;
					xPoints[4] = posi.left - style.outFx;
					yPoints[0] = posi.up - style.outFy;
					yPoints[1] = posi.up;
					yPoints[2] = posi.down + style.outFy;
					yPoints[3] = posi.down + style.outFy;
					yPoints[4] = posi.up - style.outFy;
					g.setColor( style.outFcol[(style.downflag)?3:1] );
					g.fillPolygon( xPoints, yPoints, 5 );
//
					g.setColor( style.outFcol[4] );
					g.fillRect( posi.left,posi.up, style.width+style.outFx,style.height+style.outFy );
					}
				else
					{
// 
					xPoints[0] = posi.left - style.outFx;
					xPoints[1] = posi.right+ style.outFx;
					xPoints[2] = posi.right;
					xPoints[3] = posi.left;
					xPoints[4] = posi.left - style.outFx;
					yPoints[0] = posi.up - style.outFy;
					yPoints[1] = posi.up - style.outFy;
					yPoints[2] = posi.up;
					yPoints[3] = posi.up;
					yPoints[4] = posi.up - style.outFy;
					g.setColor( style.outFcol[(style.downflag)?2:0] );
					g.fillPolygon( xPoints, yPoints, 5 );
// 
					xPoints[0] = posi.left - style.outFx;
					xPoints[1] = posi.left;
					xPoints[2] = posi.left;
					xPoints[3] = posi.left - style.outFx;
					xPoints[4] = posi.left - style.outFx;
					yPoints[0] = posi.up - style.outFy;
					yPoints[1] = posi.up;
					yPoints[2] = posi.down;
					yPoints[3] = posi.down + style.outFy;
					yPoints[4] = posi.up - style.outFy;
					g.setColor( style.outFcol[(style.downflag)?3:1] );
					g.fillPolygon( xPoints, yPoints, 5 );
// E
					xPoints[0] = posi.right+style.outFx;
					xPoints[1] = posi.right+style.outFx;
					xPoints[2] = posi.right;
					xPoints[3] = posi.right;
					xPoints[4] = posi.right+style.outFx;
					yPoints[0] = posi.up - style.outFy;
					yPoints[1] = posi.down + style.outFy;
					yPoints[2] = posi.down;
					yPoints[3] = posi.up;
					yPoints[4] = posi.up - style.outFy;
					g.setColor( style.outFcol[(style.downflag)?0:2] );
					g.fillPolygon( xPoints, yPoints, 5 );
// 
					xPoints[0] = posi.left;
					xPoints[1] = posi.right;
					xPoints[2] = posi.right + style.outFx;
					xPoints[3] = posi.left - style.outFx;
					xPoints[4] = posi.left;
					yPoints[0] = posi.down;
					yPoints[1] = posi.down;
					yPoints[2] = posi.down + style.outFy;
					yPoints[3] = posi.down + style.outFy;
					yPoints[4] = posi.down;
					g.setColor( style.outFcol[(style.downflag)?1:3] );
					g.fillPolygon( xPoints, yPoints, 5 );
					}

				g.drawImage( Picture.Pics[idno-1].images[anima.patNo], posi.dx+ofx, posi.dy+ofy, null );		
				}
			}
		}
	}
	public void Destroy() { idno = NULL_IDNO; }
}
