import java.awt.*;
import java.awt.image.*;

public class PictMake implements SysAssign
{

	public static void GetPixels( Image img, int x, int y, int w, int h, int[] pixels )
	{
		PixelGrabber pg = new PixelGrabber(img,x,y,w,h,pixels,0,w);

	try {
		pg.grabPixels();
		}
	catch(InterruptedException e) {
		System.err.println("Error!");
		return;
		}
	if((pg.status() & ImageObserver.ABORT) != 0) {
		System.err.println("image fetch aborted or errored");
		return;
		}
	}			

	public static void RevPixels( int x, int y, int[] pixels )
	{
	int[] temp;

	temp = new int[x*y];

		if( GetKaisai.rBa == 5 || GetKaisai.rBa == 7 )
		{
		
		}
		else
		{
		int r,i,g,c;

			for( g=0 ; g < y ; g++ )
			{
			i  = (x*g);
			r  = (x*(g+1)) - 1;

				for( c=0 ; c < x ; c++ )
				{
				temp[i] = pixels[r];
				r--;
				i++;
				}
			}

		for( c=0 ; c < x*y ; c++ ) pixels[c] = temp[c];
		}
	}

	public static void KishuColChg( int[] pixin,int[] pixout, int size, int incol, int outcol )
	{
	int Colfrom[][] = { 
			{	((255<<24) | (200<<16)| (200<<8) |200), ((255<<24) | (232<<16)| (232<<8) |232) },	// 	0
			{	((255<<24) | (64<<16) | (64<<8)  | 64), ((255<<24) | (104<<16)| (104<<8) |104) },	// 	1
			{	((255<<24) |(120<<16) | ( 0<<8)  | 0 ), ((255<<24) | (248<<16)| (  0<<8) |  0) },	// 	2
			{	((255<<24) | ( 0<<16) | (88<<8)  |176), ((255<<24) | (64<<16) | (192<<8) |248) },   // 	3
			{	((255<<24) |(216<<16) | (152<<8) | 0 ), ((255<<24) |(248<<16) | (248<<8) |  0) },	// 	4
			{	((255<<24) | (72<<16) | (136<<8) | 0 ), ((255<<24) | (64<<16) | (224<<8) | 32) },	// 	5
			{	((255<<24) |(208<<16) | ( 64<<8) | 0 ), ((255<<24) |(248<<16) | (168<<8) |  0) },	// ݼ6
			{	((255<<24) |(200<<16) | ( 96<<8) |128), ((255<<24) |(248<<16) | (176<<8) |224) },	// 	7
		};

		for(int i=0 ; i < size ; i++ )
		{
			pixout[i] = pixin[i];
			if( pixin[i] == Colfrom[incol][0] ) pixout[i] = Colfrom[outcol][0];
			if( pixin[i] == Colfrom[incol][1] ) pixout[i] = Colfrom[outcol][1];
		}
	}

	public static void UmaColChg( int[] pixin,int[] pixout, int size, int incol, int outcol )
	{
	int Colfrom[][] = { 
	// 肰	1
	{
	((255<<24) | (80<<16)| (48<<8)| 32),
	((255<<24) |(112<<16)| (64<<8)| 32),
	((255<<24) |(120<<16)| (72<<8)| 40),
	((255<<24) |(136<<16)| (88<<8)| 56),
	((255<<24) |(160<<16)|(112<<8)| 72),
	((255<<24) |(176<<16)|(128<<8)| 88),
	((255<<24) |(200<<16)|(152<<8)|112)
	},
	// g`肰	2
	{
	((255<<24) | (48<<16)| (24<<8)|  8),
	((255<<24) |( 64<<16)| (40<<8)| 16),
	((255<<24) |( 80<<16)| (56<<8)| 32),
	((255<<24) |( 88<<16)| (64<<8)| 40),
	((255<<24) |(104<<16)| (80<<8)| 56),
	((255<<24) |(128<<16)| (96<<8)| 88),
	((255<<24) |(136<<16)|(112<<8)|104)
	},
	// JQ	3
	{
	((255<<24) |( 40<<16)| (24<<8)|  8),
	((255<<24) |( 64<<16)| (40<<8)| 24),
	((255<<24) |( 88<<16)|( 56<<8)| 40),
	((255<<24) |(112<<16)|( 72<<8)| 56),
	((255<<24) |(152<<16)|(104<<8)| 72),
	((255<<24) |(176<<16)|(128<<8)| 88),
	((255<<24) |(208<<16)|(168<<8)|112)
	},
	// JQ 4
	{
	((255<<24) |(  8<<16)| ( 8<<8)|  8),
	((255<<24) |( 16<<16)| (16<<8)| 16),
	((255<<24) |( 32<<16)| (32<<8)| 32),
	((255<<24) |( 48<<16)| (48<<8)| 48),
	((255<<24) |( 64<<16)| (64<<8)| 64),
	((255<<24) |( 80<<16)|( 80<<8)| 80),
	((255<<24) |(104<<16)|(104<<8)|104)
	},
	// JQ 5
	{
	((255<<24) |( 32<<16)| (16<<8)| 24),
	((255<<24) |( 40<<16)| (32<<8)| 40),
	((255<<24) |( 56<<16)| (48<<8)| 64),
	((255<<24) |( 72<<16)| (64<<8)| 80),
	((255<<24) |( 88<<16)| (88<<8)|104),
	((255<<24) |(104<<16)|(104<<8)|120),
	((255<<24) |(120<<16)|(128<<8)|144)
	},
	//  6
	{
	((255<<24) |( 40<<16)| (48<<8)| 64),
	((255<<24) |( 48<<16)| (56<<8)| 64),
	((255<<24) |( 56<<16)|( 64<<8)| 72),
	((255<<24) |( 64<<16)|( 72<<8)| 80),
	((255<<24) |( 88<<16)|( 88<<8)|104),
	((255<<24) |( 96<<16)|( 96<<8)|112),
	((255<<24) |(112<<16)|(112<<8)|128)
	},
	//  7
	{
	((255<<24) |( 56<<16)| (56<<8)| 64),
	((255<<24) |( 80<<16)| (80<<8)| 88),
	((255<<24) |(120<<16)|(120<<8)|128),
	((255<<24) |(184<<16)|(184<<8)|192),
	((255<<24) |(208<<16)|(200<<8)|208),
	((255<<24) |(216<<16)|(216<<8)|224),
	((255<<24) |(248<<16)|(248<<8)|248)
	},
	// 蔔 8
	{
	((200<<24) | (80<<16)| (48<<8)| 32),
	((200<<24) |(112<<16)| (64<<8)| 32),
	((200<<24) |(120<<16)| (72<<8)| 40),
	((200<<24) |(136<<16)| (88<<8)| 56),
	((200<<24) |(160<<16)|(112<<8)| 72),
	((200<<24) |(176<<16)|(128<<8)| 88),
	((200<<24) |(200<<16)|(152<<8)|112)
	},
	// JQ 9
	{
	((200<<24) |( 40<<16)| (24<<8)|  8),
	((200<<24) |( 64<<16)| (40<<8)| 24),
	((200<<24) |( 88<<16)|( 56<<8)| 40),
	((200<<24) |(112<<16)|( 72<<8)| 56),
	((200<<24) |(152<<16)|(104<<8)| 72),
	((200<<24) |(176<<16)|(128<<8)| 88),
	((200<<24) |(208<<16)|(168<<8)|112)
	},

	// є 10
	{
	((200<<24) |( 40<<16)| (48<<8)| 64),
	((200<<24) |( 48<<16)| (56<<8)| 64),
	((200<<24) |( 56<<16)|( 64<<8)| 72),
	((200<<24) |( 64<<16)|( 72<<8)| 80),
	((200<<24) |( 88<<16)|( 88<<8)|104),
	((200<<24) |( 96<<16)|( 96<<8)|112),
	((200<<24) |(112<<16)|(112<<8)|128)
	},
	//  11
	{
	((200<<24) |( 56<<16)| (56<<8)| 64),
	((200<<24) |( 80<<16)| (80<<8)| 88),
	((200<<24) |(120<<16)|(120<<8)|128),
	((200<<24) |(184<<16)|(184<<8)|192),
	((200<<24) |(208<<16)|(200<<8)|208),
	((200<<24) |(216<<16)|(216<<8)|224),
	((200<<24) |(248<<16)|(248<<8)|248)
	},

};
		for(int i=0 ; i < size ; i++ )
		{
			pixout[i] = pixin[i];
			if( pixin[i] == Colfrom[incol][0] ) pixout[i] = Colfrom[outcol][0];
			if( pixin[i] == Colfrom[incol][1] ) pixout[i] = Colfrom[outcol][1];
			if( pixin[i] == Colfrom[incol][2] ) pixout[i] = Colfrom[outcol][2];
			if( pixin[i] == Colfrom[incol][3] ) pixout[i] = Colfrom[outcol][3];
			if( pixin[i] == Colfrom[incol][4] ) pixout[i] = Colfrom[outcol][4];
			if( pixin[i] == Colfrom[incol][5] ) pixout[i] = Colfrom[outcol][5];
			if( pixin[i] == Colfrom[incol][6] ) pixout[i] = Colfrom[outcol][6];
		}
	}

}
