
public class Position
{
public long	x,y,z;
public int	spx,spy,spz;
public int	dx,dy,dz;
public int	left,right,up,down;
public boolean moveStopflag;

	static
	{
	}

	public Position() { Clear(); }
	public Position( int x, int y, int z) { 
		Clear();
		PosiSet( x , y, z);
		}

	public void Clear()
	{
		x = y = z = 0;
		moveStopflag = false;
		SpeedClear();
	}


	public void PosiSet( int x , int y, int z)
	{
		this.x = (x << 16); 
		this.y = (y << 16);
		this.z = (z << 16);
	}

	public void SpeedClear()
	{
		this.spx = this.spy = this.spz = 0;
	}

	public void TranSlate( int x, int y, int z)
	{
		spx = x;
		spy = y;
		spz = z;
	}

	public void Moving()
	{
		if(moveStopflag) return;

		x += spx;
		y += spy;
		z += spz;
	}

	public void getDispPosi()
	{
		dx = (int)((x - Sprite.scrx) >>> 16 );
		dy = (int)((y - Sprite.scry) >>> 16 );
		dz = (int)( z >> 16 );
	}
}
